Order variants
curl --request PATCH \
--url https://api.komerza.com/stores/{storeId}/products/{productId}/variants/order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": 123
}
]
'import requests
url = "https://api.komerza.com/stores/{storeId}/products/{productId}/variants/order"
payload = [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": 123
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', order: 123}])
};
fetch('https://api.komerza.com/stores/{storeId}/products/{productId}/variants/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Variants
Order Variants
Updates the display order of variants.
Requires the stores.products.update permission.
PATCH
/
stores
/
{storeId}
/
products
/
{productId}
/
variants
/
order
Order variants
Authorizations
Your API key goes here
Path Parameters
The ID of the store.
The ID of the product the variants belong to
Body
application/jsontext/jsonapplication/*+json
Array of Komerza.Common.Forms.Stores.OrderedItem specifying new order.
Response
The operation was successfully completed.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents the data associated with a response.
Last modified on August 2, 2026
⌘I